Subject: Re: bug#63728: GHC cannot find lrt

From: Mekeor Melire <[email-masked]>
Date: Fri, 26 May 2023 09:21:02 +0000

2023-05-25 22:25 [email-masked]:

> Attempting to build a trivial Haskell program using ghc fails, 
> as the linker cannot find the rt library:
>
> ```
> ~ $ ghc -O2 test.hs
> Linking test ...
> /home/a/.guix-profile/bin/ld: cannot find -lrt: No such file or 
> directory
> collect2: error: ld returned 1 exit status
> `gcc' failed in phase `Linker'. (Exit code: 1)
> ```
>
> Glibc and gcc-toolchain are installed in the profile, and
> ~/.guix-profile/lib/librt.so.1 exists.
>
> Maybe this is related to this new bug, or the recent 
> core-updates merge? https://issues.guix.gnu.org/63238

There is also this bug I had reported:

https://issues.guix.gnu.org/63258

I suggest to merge this bug (63728) and the bug I just linked 
(63258). What do you think?